Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.data
Class EmptyContainerSet

    java.lang.Object
      com.dbxml.db.core.data.EmptyContainerSet

All Implemented Interfaces:
  ContainerSet

public final class EmptyContainerSet
extends java.lang.Object
implements ContainerSet

EmptyContainerSet implements an empty ContainerSet.

Constructor Summary
`EmptyContainerSet()`

Method Summary
`Container` | `getNextContainer()` getNextContainer returns the next Container in the set.
`boolean` | `hasMoreContainers()` hasMoreContainers returns whether there are any more Containers left in the set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyContainerSet

    public EmptyContainerSet()

Method Detail

### hasMoreContainers

    public boolean hasMoreContainers()

  Description copied from interface: `ContainerSet`
  hasMoreContainers returns whether there are any more Containers left in the set.

  Specified by:
    `hasMoreContainers` in interface `ContainerSet`
  Returns:
    Whether there are more Documents

### getNextContainer

    public Container getNextContainer()

  Description copied from interface: `ContainerSet`
  getNextContainer returns the next Container in the set.

  Specified by:
    `getNextContainer` in interface `ContainerSet`
  Returns:
    The next Container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group